Windows 7 环境的Delphi 6 不兼容老版本的ado

Pony
Pony
Pony
132
文章
18
评论
2020-04-1212:53:03 评论 542字
1.下载 Msado60_Backcompat_i386.tlb文件,放入以下目录.
C:\Program Files\Common Files\System\ado\msado60_Backcompat_i386.tlb

2.找出 C:\Windows\Microsoft.NET\Framework\v4.0.30319\regtlibv12.exe
同样复制到 C:\Program Files\Common Files\System\ado\
在命令行下:
pushd C:\Program Files\Common Files\System\ado\
regtlibv12.exe msado60_Backcompat_i386.tlb

delphi 6=>component=>install package=>add
delphi安装目录下
/bin/dclado60.bpl
/bin/dcldb60.bpl

确保你的environment option =>library添加正确.
终于可以编译带ado组件的project了...
此处为隐藏的内容!
登录后方可查看!
Pony
  • 本文由 发表于 2020-04-1212:53:03
Microsoft Edge 经典博文

Microsoft Edge

在动手写介篇小文之前 其实小弟此前是一直看不上MS的浏览器的... 十几年IE... 一路从IE5.0、6.0、7.0、8... 一直干到它IE11... 至此个人宣布Say Bye bye... 相...
Delphi CheckBox 透明 经典博文

Delphi CheckBox 透明

其实本来高版本次的Delphi应该已经可以在设置里搞掂介个了 氮素... 在低版本次的Delphi里介个就需要一哈啦... 比如... Delphi2007? 哈哈~~ 上干货... procedur...

发表评论